/**
 * A simple object that runs a thread.
 * 
 * Defining the object as implementing the runnable interface sets it up to 
 * be run as a thread.
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadOne implements Runnable{
	
	private Thread myThread;
	
	// The constructor sets up a thread and starts it. In turn the 
	// thread will call run().
	//
	// The connection is set up by passing "this" to the thread object.
	public ThreadOne(){
		myThread = new Thread(this);
		myThread.start();
	}
	
	// The run method is what is called when the thread starts.
	public void run(){
		while(true){
			System.out.println("One!");
		}	
	}
}	